#                                               -*- cmake -*-
#
#  otlmConfig.cmake(.in)
#
#  Find otlm includes and libraries
#
#  Copyright (C) 2005-2014 Phimeca
#

# Use the following variables to compile and link against otlm:
#  OTLM_FOUND          - True if otlm was found on your system
#  OTLM_USE_FILE       - The file making otlm usable
#  OTLM_DEFINITIONS    - Definitions needed to build with otlm
#  OTLM_INCLUDE_DIRS   - List of directories where otlm' header file are
#  OTLM_LIBRARY        - Library name
#  OTLM_LIBRARIES      - List of libraries to link against
#  OTLM_LIBRARY_DIRS   - List of directories containing otlm' libraries
#  OTLM_ROOT_DIR       - The base directory of otlm
#  OTLM_VERSION_STRING - A human-readable string containing the version
#  OTLM_VERSION_MAJOR  - The major version of otlm
#  OTLM_VERSION_MINOR  - The minor version of otlm
#  OTLM_VERSION_PATCH  - The patch version of otlm

set ( OTLM_FOUND 1 )
set ( OTLM_USE_FILE     "/usr/lib/cmake/otlm/Useotlm.cmake" )

set ( OTLM_DEFINITIONS  "" )
set ( OTLM_INCLUDE_DIR  "/usr/include" )
set ( OTLM_INCLUDE_DIRS "/usr/include;/usr/include;/usr/include;/usr/lib/cmake/hmat/../../../include/hmat;/usr/include/libxml2" )
set ( OTLM_LIBRARY      "otlm" )
set ( OTLM_LIBRARIES    "/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libtbb.so;/usr/lib/x86_64-linux-gnu/libmuparser.so;hmat-oss;/usr/lib/x86_64-linux-gnu/libxml2.so;-lpthread;/usr/lib/x86_64-linux-gnu/libnlopt.so;OT;otlm" )
set ( OTLM_LIBRARY_DIRS "/usr/lib;/usr/lib" )
set ( OTLM_ROOT_DIR     "/usr" )

set ( OTLM_VERSION_STRING "0.0" )
set ( OTLM_VERSION_MAJOR  "0" )
set ( OTLM_VERSION_MINOR  "0" )
set ( OTLM_VERSION_PATCH  "" )

set (OTLM_PYTHON3_MODULE_PATH "/usr/lib/python3/dist-packages")

# CMAKE_CURRENT_LIST_DIR defined since 2.8.3
if (CMAKE_VERSION VERSION_LESS 2.8.3)
  get_filename_component (CMAKE_CURRENT_LIST_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
endif ()
# Our library dependencies (contains definitions for IMPORTED targets)
include (${CMAKE_CURRENT_LIST_DIR}/otlm-Targets.cmake)
